using JSMR.Infrastructure.Integrations.DLSite.Serialization;
using System.Text.Json.Serialization;

namespace JSMR.Infrastructure.Integrations.DLSite.Models;

public class DownloadCountItem
{
    [JsonPropertyName("workno")]
    public string? WorkNumber { get; set; }

    [JsonPropertyName("edition_id")]
    public int EditionId { get; set; }

    [JsonPropertyName("edition_type")]
    public string? EditionType { get; set; }

    [JsonPropertyName("display_order")]
    public int DisplayOrder { get; set; }

    [JsonPropertyName("label")]
    public string? Label { get; set; }

    [JsonPropertyName("lang")]
    public string? Language { get; set; }

    [JsonPropertyName("dl_count")]
    [JsonConverter(typeof(NumberConverter))]
    public int DownloadCount { get; set; }

    [JsonPropertyName("display_label")]
    public string? DisplayLabel { get; set; }
}